Skip to main content
GET
/
v0
/
documents
/
{id}
/
versions
/
{versionNumber}
JavaScript
import Avido from 'avido';

const client = new Avido({
  apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
  applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});

const version = await client.documents.versions.retrieve(2, {
  id: '123e4567-e89b-12d3-a456-426614174000',
});

console.log(version.document);
{
  "document": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdAt": "2024-01-05T12:34:56.789Z",
    "modifiedAt": "2024-01-06T12:34:56.789Z",
    "orgId": "org_123456789",
    "assignee": "user_123456789",
    "scrapeJobId": null
  },
  "version": {
    "id": "321e4567-e89b-12d3-a456-426614174002",
    "createdAt": "2024-01-06T12:34:56.789Z",
    "modifiedAt": "2024-01-06T12:34:56.789Z",
    "orgId": "org_123456789",
    "title": "API Documentation v2",
    "content": "Updated API documentation...",
    "status": "ACTIVE",
    "versionNumber": 2,
    "documentId": "123e4567-e89b-12d3-a456-426614174000",
    "language": "english",
    "metadata": null,
    "originalSentences": []
  }
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
string<uuid>
required

The unique identifier of the document

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

versionNumber
integer
required

The version number

Required range: x <= 9007199254740991
Example:

2

Response

Successfully retrieved document version

Response containing a specific document version

version
DocumentVersion · object
required

A specific version of a document with its content and metadata

document
Core Document · object
required

A Core Document represents a piece of content that can be organized hierarchically with parent-child relationships and supports versioning